@font-face {
  font-family: "Chistoso";
  src: url("fonts/Chistoso-Regular.ttf");
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Intrepid", Arial, sans-serif;
  background: #ffffff;
  color: #0a0a0a;
  overflow-x: hidden;
}

.nav {
  position: fixed;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 20;
  display: flex;
  gap: 25px;
  padding: 12px 25px;
  border: 1px solid #ffffff55;
  border-radius: 999px;
  
  background: rgba(255, 255, 255, 0.6);
backdrop-filter: blur(12px);
}

.nav a {
  color: #2a2a2a;
  text-decoration: none;
  font-size: 14px;
    font-family: "Intrepid", Arial, sans-serif;
      position: relative;
}

.nav a:hover {
  color: #2f5a3a; /* ton vert */
}

.nav a.active {
  color: #ff2bd6;
  font-weight: 500;
}

.nav a.active::after {
  content: "";
  position: absolute;
  bottom: -6px;
  left: 0;
  width: 100%;
  height: 2px;
  background: #ff2bd6;
}

.hero {
  min-height: 78vh;
  position: relative;
    overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background:
    radial-gradient(circle at 20% 20%, #ff2bd640 0%, transparent 40%),
    radial-gradient(circle at 80% 40%, #00e5ff40 0%, transparent 40%),
    radial-gradient(circle at 50% 90%, #baff0040 0%, transparent 35%),
    #ffffff;
  text-align: center;
  padding: 120px 40px 70px;
}

.floating-title span {
  display: inline-block;
  animation: breatheLetter 5s ease-in-out infinite;
  transition: transform 0.25s ease, color 0.25s ease;
}

.floating-title span:nth-child(1) { --baseY: -2px; animation-delay: 0s; }
.floating-title span:nth-child(2) { --baseY: 4px; animation-delay: 0.2s; }
.floating-title span:nth-child(3) { --baseY: -6px; animation-delay: 0.4s; }
.floating-title span:nth-child(4) { --baseY: 2px; animation-delay: 0.1s; }
.floating-title span:nth-child(5) { --baseY: -4px; animation-delay: 0.3s; }
.floating-title span:nth-child(6) { --baseY: 3px; animation-delay: 0.5s; }
.floating-title span:nth-child(7) { --baseY: -5px; animation-delay: 0.2s; }
.floating-title span:nth-child(8) { --baseY: 2px; animation-delay: 0.4s; }
.floating-title span:nth-child(9) { --baseY: -3px; animation-delay: 0.1s; }

@keyframes breatheLetter {
  0%, 100% {
    transform: translateY(var(--baseY)) scale(1);
  }

  50% {
    transform: translateY(calc(var(--baseY) - 6px)) scale(1.04);
  }
}

@font-face {
  font-family: "Intrepid";
  src: url("fonts/Intrepid.ttf");
}

.floating-title span:hover {
  transform: translateY(calc(var(--baseY) - 18px)) scale(1.12) rotate(-3deg);
  color: #ff2bd6;
}

.tag {
  color: #3a6b47;
  letter-spacing: 3px;
  font-size: 13px;
  margin-bottom: 20px;
}

h1 {
  font-family: "Chistoso", serif;
  font-size: clamp(55px, 8vw, 130px);
  letter-spacing: 4px;
  color: #3a6b47;
 animation: floatTitle 6s ease-in-out infinite;
  text-shadow: 0 4px 12px rgba(0,0,0,0.08);
}

.subtitle {
   margin-top: 0px;
  margin-bottom: 18px;
  font-size: 18px;
    font-family: "Intrepid", Arial, sans-serif;
}

@keyframes blobMove {
  0%, 100% { transform: translate(0, 0) scale(1); }
  50% { transform: translate(20px, -30px) scale(1.05); }
}

.shape {
  position: absolute;
  border-radius: 50%;
  filter: blur(0px);
  opacity: 0.8;
  z-index: 0;
 animation: blobMove 10s ease-in-out infinite;
}

.hero > *:not(.shape) {
  position: relative;
  z-index: 1;
}

.shape-1 {
  width: 300px;
  height: 260px;
  top: 10%;
  left: 5%;

  background: radial-gradient(circle at 30% 30%, #ff2bd6, #8a00ff);

  border-radius: 60% 40% 55% 45% / 45% 55% 40% 60%;
   opacity: 0.35;
  filter: blur(45px);
}

.shape-2 {
  width: 220px;
  height: 200px;
  top: 55%;
  right: 10%;

  background: radial-gradient(circle at 40% 40%, #00e5ff, #0077ff);

  border-radius: 50% 50% 40% 60% / 60% 40% 60% 40%;
   opacity: 0.35;
  filter: blur(45px);
}

.shape-3 {
  width: 350px;
  height: 300px;
  bottom: 5%;
  left: 30%;

  background: radial-gradient(circle at 50% 50%, #baff00, #5a8f00);

  border-radius: 70% 30% 50% 50% / 50% 60% 40% 50%;
   opacity: 0.35;
  filter: blur(45px);
}

.btn {
  margin-top: 22px;
  display: inline-block;
  padding: 14px 26px;
  border-radius: 999px;
  background: #ff2bd6;
  color: white;
  text-decoration: none;
  box-shadow: 0 0 25px #ff2bd6;
  transition: 0.3s;
}

.btn:hover {
  transform: scale(1.08);
  background: #00e5ff;
  box-shadow: 0 0 30px #00e5ff;
}

.bubble {
  position: absolute;
  border-radius: 50%;
  border: 2px solid #ffffff88;
  background: rgba(255, 255, 255, 0.12);
  backdrop-filter: blur(8px);
  animation: float 6s infinite ease-in-out;
}

.bubble-1 {
  width: 160px;
  height: 160px;
  top: 20%;
  left: 10%;
}

.bubble-2 {
  width: 110px;
  height: 110px;
  right: 12%;
  top: 25%;
  animation-delay: 1s;
}

.bubble-3 {
  width: 220px;
  height: 220px;
  bottom: 12%;
  right: 22%;
  animation-delay: 2s;
}

@keyframes float {
  0%, 100% { transform: translateY(0); }
  50% { transform: translateY(-25px); }
}

.section {
  padding: 120px 7vw;
}

.section h2 {
  font-family: "Chistoso", Georgia, serif;
  font-size: clamp(45px, 6vw, 90px);
  margin-bottom: 70px;
  color: #2f5a3a;
  text-align: left;
}

#projets {
  background:
    radial-gradient(circle at 10% 20%, #ff2bd625 0%, transparent 35%),
    radial-gradient(circle at 90% 80%, #00e5ff25 0%, transparent 35%),
    #ffffff;
}

.project-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 35px;
}

.project-card {
  padding: 0;
  border: 2px solid #2f5a3a;
  border-radius: 18px;
  background: rgba(255, 255, 255, 0.75);
  box-shadow: 8px 8px 0 #2f5a3a;
  overflow: hidden;
  transition: 0.25s ease;
}

.project-card img {
  width: calc(100% - 40px);
  height: 220px;
  margin: 20px 20px 0 20px;
  object-fit: cover;
  border-radius: 12px;
}

.project-card h3 {
  margin: 22px 24px 10px 24px;
  font-size: 24px;
  color: #00cfe8;
}

.project-card p {
  margin: 0 24px 28px 24px;
  line-height: 1.6;
  color: #0a0a0a;
}

.project-card::before {
  content: "● ● ●   projet.exe";
  display: block;
  padding: 14px 20px;
  background: #f2f2f2;
  border-bottom: 2px solid #2f5a3a;
  color: #2f5a3a;
  font-size: 14px;
  letter-spacing: 1px;
}

.project-card:hover {
  transform: translate(-4px, -4px);
  box-shadow: 12px 12px 0 #ff2bd6;
}

.about {
  background: #ffffff;
}

.window {
  max-width: 700px;
  margin: 0 auto;

  border: 2px solid #2f5a3a;
  border-radius: 20px;

  background: rgba(255,255,255,0.8);
  box-shadow: 10px 10px 0 #2f5a3a;

  padding: 40px 45px;
}

.window::before {
  content: "● ● ●   profil.txt";
  display: block;

  margin: -40px -45px 30px -45px;
  padding: 14px 20px;

  background: #f2f2f2;
  border-bottom: 2px solid #2f5a3a;

  color: #2f5a3a;
  font-size: 14px;
}

.window h2 {
  font-family: "Chistoso", serif;
  font-size: clamp(40px, 5vw, 70px);
  color: #2f5a3a;
  margin-bottom: 25px;
}

.window p {
  margin-bottom: 18px;
  line-height: 1.6;
  color: #0a0a0a;
}

.skills {
  margin-top: 25px;
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.skills span {
  padding: 8px 14px;
  border-radius: 999px;
  border: 1px solid #2f5a3a;
  font-size: 14px;
}

.badges {
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
    font-family: "Intrepid", Arial, sans-serif;
}

.badges span {
  padding: 10px 16px;
  border-radius: 999px;
  background: #ff2bd6;
  color: white;
}

.message-box {
  max-width: 500px;
  padding: 30px;
  border-radius: 25px;
  background: #00e5ff;
  color: #0a0a0a;
  font-size: 22px;
    font-family: "Intrepid", Arial, sans-serif;
}

.message-box a {
  color: #0a0a0a;
  font-weight: bold;
}

.lightbox {
  position: fixed;
  inset: 0;
  display: none;
  justify-content: center;
  align-items: center;
  background: rgba(0,0,0,0.88);
  z-index: 100;
}

.lightbox img {
  max-width: 85%;
  max-height: 85%;
  border-radius: 20px;
}

.close {
  position: absolute;
  top: 30px;
  right: 45px;
  font-size: 45px;
  cursor: pointer;
}

.profile-window {
  max-width: 900px;
  margin: 0 auto;
  border: 2px solid #2f5a3a;
  border-radius: 22px;
  background: rgba(255,255,255,0.82);
  box-shadow: 10px 10px 0 #2f5a3a;
  overflow: hidden;
}

.profile-window::before {
  content: "● ● ●   a_propos.exe";
  display: block;
  padding: 14px 20px;
  background: #f2f2f2;
  border-bottom: 2px solid #2f5a3a;
  color: #2f5a3a;
  font-size: 14px;
  letter-spacing: 1px;
}

.profile-card {
  display: grid;
  grid-template-columns: 180px 1fr;
  gap: 25px;
  padding: 30px;
}

.photo-placeholder {
  height: 200px;
  border: 2px solid #2f5a3a;
  border-radius: 18px;
  background:
    radial-gradient(circle at 30% 30%, #ff2bd650, transparent 40%),
    radial-gradient(circle at 70% 70%, #00e5ff50, transparent 40%),
    #fff;

  display: flex;
  align-items: center;
  justify-content: center;

  color: #2f5a3a;
  font-size: 14px;
  letter-spacing: 2px;
}

.identity-info h2 {
  font-family: "Chistoso", serif;
  font-size: clamp(22px, 2.5vw, 32px); 
  white-space: nowrap; 
  color: #2f5a3a;
  margin-bottom: 10px;
}

.identity-info p {
  color: #0a0a0a;
  margin-bottom: 16px;
  font-size: 14px;
  line-height: 1.5;
}

.label {
  color: #ff2bd6 !important;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-size: 12px;
  margin-bottom: 4px !important;
}

.cv-tabs {
  display: flex;
  gap: 10px;
  padding: 0 40px 25px 40px;
  flex-wrap: wrap;
}

.tab-btn {
  border: 2px solid #2f5a3a;
  background: white;
  color: #2f5a3a;
  border-radius: 999px;
    padding: 8px 14px;
  font-size: 13px;
  font-family: inherit;
  cursor: pointer;
}

.tab-btn.active,
.tab-btn:hover {
  background: #ff2bd6;
  color: white;
  border-color: #ff2bd6;
}

.tab-content {
  display: none;
  padding: 0 40px 40px 40px;
  gap: 12px;
  flex-wrap: wrap;
}

.tab-content.active {
  display: flex;
}

.tab-content span {
  padding: 8px 14px;
  font-size: 13px;
  border-radius: 999px;
  background: #f2f2f2;
  border: 1px solid #2f5a3a;
  color: #2f5a3a;

}

.photo {
  height: 200px;
  border-radius: 18px;
  overflow: hidden;
  border: 2px solid #2f5a3a;
  background: #fff;
   box-shadow: 6px 6px 0 #2f5a3a;
}

.photo img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.photo:hover img {
  transform: scale(1.05);
  transition: 0.3s;
}

.contact {
  text-align: center;
  background:
    radial-gradient(circle at 20% 30%, #ff2bd625 0%, transparent 35%),
    radial-gradient(circle at 80% 70%, #00e5ff25 0%, transparent 35%),
    #ffffff;
}

.closed-phone {
  width: 250px;
  height: 430px;
  margin: 0 auto;
  position: relative;
  z-index: 2;
  border: 3px solid #2f5a3a;
  border-radius: 70px 70px 95px 95px;

  background: linear-gradient(145deg, #ffffff, #e9f3ee);
  box-shadow: 12px 12px 0 #2f5a3a;

  transform: rotate(-15deg);
}

.closed-phone::before {
  content: "";
  position: absolute;
  inset: 22px;
  border: 3px solid #2f5a3a;
  border-radius: 55px 55px 75px 75px;
}

.closed-phone::after {
  content: "";
  position: absolute;
  top: 0;
  left: 30%;
  width: 40%;
  height: 18px;
  border-left: 3px solid #2f5a3a;
  border-right: 3px solid #2f5a3a;
}

.phone-antenna {
    position: absolute;
  z-index: 3;
  top: -35px;
  right: 35px;
  width: 22px;
  height: 65px;
  border: 3px solid #2f5a3a;
  border-radius: 999px;
  background: #ffffff;
  transform: rotate(10deg);
}

.phone-screen-small {
  position: absolute;
  z-index: 3;
  top: 90px; 
  left: 50%;
  transform: translateX(-50%);

  width: 150px;  
  height: 150px; 
  padding: 20px 12px;

  border: 3px solid #2f5a3a;
  border-radius: 26px;

  background: #c9ff7a;
  color: #2f5a3a;

  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 12px;
    transition: 0.3s ease;
  filter: brightness(0.85);
}

.phone-screen-small p {
  font-size: 12px;
  letter-spacing: 2px;
  
}

.phone-screen-small a {
  color: #2f5a3a;
  font-size: 11px;
  word-break: break-word;
  line-height: 1.3;
}

.screen-label {
  font-size: 10px;
  letter-spacing: 2px;
  opacity: 0.7;
}

.screen-text {
  opacity: 1;
   transition: opacity 0.25s ease;
}

.screen-email {
  opacity: 0;
  position: absolute;
  left: 50%;
  top: 62%;
  transform: translate(-50%, -50%);

  font-size: 11px;
  line-height: 1.25;
  text-align: center;
  color: #2f5a3a;

  transition: 0.3s ease;
}

.phone-dot {
    position: absolute;
  z-index: 3;
  bottom: 55px;
  left: 50%;
  transform: translateX(-50%);

  width: 18px;
  height: 18px;
  border: 3px solid #2f5a3a;
  border-radius: 50%;
  background: #ffffff;
}

.socials {
  margin-top: 50px;
  display: flex;
  justify-content: center;
  gap: 18px;
}

.social-btn {
  width: 55px;
  height: 55px;

  display: flex;
  align-items: center;
  justify-content: center;

  border-radius: 16px;
  border: 2px solid #2f5a3a;
  background: white;
  color: #2f5a3a;

  box-shadow: 6px 6px 0 #2f5a3a;
  transition: 0.25s ease;
}

.social-btn svg {
  width: 26px;
  height: 26px;
  fill: none;
  stroke: currentColor;
  stroke-width: 1.8;
  stroke-linecap: round;
  stroke-linejoin: round;
}

.social-btn:hover {
  transform: translate(-3px, -3px);
  box-shadow: 10px 10px 0 #ff2bd6;
}

@keyframes vibratePhone {
  0%   { transform: rotate(-15deg) translate(0); }
  20%  { transform: rotate(-15deg) translate(-2px, 1px); }
  40%  { transform: rotate(-15deg) translate(2px, -1px); }
  60%  { transform: rotate(-15deg) translate(-2px, 1px); }
  80%  { transform: rotate(-15deg) translate(2px, -1px); }
  100% { transform: rotate(-15deg) translate(0); }
}

.ring {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 330px;
  height: 330px;
  border-radius: 50%;
  border: 2px solid rgba(186, 255, 0, 0.45);
  transform: translate(-50%, -50%) scale(0.6);
  opacity: 0;
  pointer-events: none;
  z-index: 0;
}

@keyframes ringWave {
  0% {
    transform: translate(-50%, -50%) scale(0.6);
    opacity: 0.6;
  }

  100% {
    transform: translate(-50%, -50%) scale(1.4);
    opacity: 0;
  }
}

.phone-wrapper:hover .closed-phone {
  animation: vibratePhone 0.2s infinite;
  filter: drop-shadow(0 0 10px rgba(186,255,0,0.6));
}

.phone-wrapper:hover .screen-text {
  opacity: 0;
}

.phone-wrapper:hover .screen-email {
  opacity: 1;
  color: #2f5a3a;
  text-shadow:
    0 0 6px rgba(186, 255, 0, 0.8),
    0 0 12px rgba(186, 255, 0, 0.6);
}

.phone-wrapper:hover .phone-screen-small {
  background: #c9ff7a;
  filter: brightness(1.2);
  box-shadow:
    0 0 20px rgba(186, 255, 0, 0.6),
    inset 0 0 10px rgba(255,255,255,0.4);
}

.phone-wrapper:hover .ring-1 {
  animation: ringWave 1s ease-out infinite;
}

.phone-wrapper:hover .ring-2 {
  animation: ringWave 1s ease-out infinite;
  animation-delay: 0.5s;
}

.phone-wrapper {
  position: relative;
  display: inline-block;
}

.phone-wrapper:hover .ring-1 {
  animation: ringWave 1s ease-out infinite;
}

.phone-wrapper:hover .ring-2 {
  animation: ringWave 1s ease-out infinite;
  animation-delay: 0.5s;
}

.phone-wrapper:hover .phone-screen-small {
  filter: brightness(1.2);
  box-shadow:
    0 0 20px rgba(186, 255, 0, 0.6),
    inset 0 0 10px rgba(255,255,255,0.4);
}

.project-card.bg-pink img {
  background: radial-gradient(circle at 30% 30%, #ff2bd680, #ffffff 70%);
}

.project-card.bg-blue img {
  background: radial-gradient(circle at 30% 30%, #00e5ff80, #ffffff 70%);
}

.project-card.bg-green img {
  background: radial-gradient(circle at 30% 30%, #baff0080, #ffffff 70%);
}

.project-card.bg-purple img {
  background: radial-gradient(circle at 30% 30%, #8a00ff60, #ffffff 70%);
}